%define _unpackaged_files_terminate_build 0

Summary: A GTK+ based, lightweight, and fast e-mail client
Name:	 sylpheed
Version: 0.8.11
Release: 1mdk
Source: %name-%version.tar.bz2
Source1: sylpheed_16.png
Source2: sylpheed_32.png
Source3: sylpheed_48.png
License: GPL
URL: http://sylpheed.good-day.net/
BuildRequires: libgtk+1.2-devel
BuildRequires: libimlib1-devel
BuildRequires: libgpgme6-devel
BuildRequires: libldap2-devel
BuildRequires: openssl-devel
BuildRequires: libpisock-devel
BuildRequires: libsasl7-devel
BuildRequires: libncurses-devel
BuildRequires: readline-devel
BuildRequires: faces-devel
Requires: gtk+ >= 1.2.10 , libgpgme
Group: Networking/Mail
Buildroot: %_tmppath/%name-buildroot
Provides: sylpheed-main
Conflicts: sylpheed-claws

%description
This program is an X based fast e-mail client which has features
(or go for it :-)) like:
	o user-friendly and intuitive interface
	o integrated NetNews client (partially implemented)
	o ability of keyboard-only operation
	o Mew/Wanderlust-like key bind
	o multipart MIME
	o built-in image view
	o external editor support
	o unlimited multiple account handling
	o message queueing
	o filtering
	o XML-based address book
See 'README' for more information.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

export SYLPHEED_CONFIGURE_FLAGS="--enable-gpgme"

%configure2_5x --enable-gpgme --enable-jpilot --enable-ssl --enable-ldap

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%name <<EOF
?package(%name):\
command="/usr/bin/sylpheed"\
icon="%name.png"\
title="Sylpheed"\
longtitle="A fast GTK+ based Mail client"\
needs="x11"\
section="Networking/Mail"
EOF
)

install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir

install -m644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m644 %SOURCE3 %buildroot/%_liconsdir/%name.png
 
%{find_lang} %name
 
%post
%update_menus
 
%postun
%clean_menus  

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%lang(ja) %doc ChangeLog.jp README.jp INSTALL.jp TODO.jp
%_bindir/*
%lang(en) %_datadir/%name/manual/en
%lang(ja) %_datadir/%name/manual/ja
%_menudir/*
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%lang(de) %_datadir/sylpheed/faq/de
%lang(en) %_datadir/sylpheed/faq/en
%lang(es) %_datadir/sylpheed/faq/es
%lang(fr) %_datadir/sylpheed/faq/fr
%lang(it) %_datadir/sylpheed/faq/it

%changelog
* Tue Mar 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.11-1mdk
- 0.8.11

* Mon Mar 03 2003 Marcel Pol <mpol@gmx.net> 0.8.10-1mdk
- 0.8.10
- fix BuildRequires
  
* Fri Jan 10 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.8.8-2mdk
- enable ldap 

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.8-1mdk
- new release
- fix build regarding new rpm macros

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.6-1mdk
- 0.8.6

* Tue Oct 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-2mdk
- rebuild against libgpgme

* Thu Oct 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Sun Sep 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- enable jpilot & ssl

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2
- requires libgpgme

* Mon Aug 5 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.8.1-2mdk
- add gpg support
* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Mon Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0

* Mon Jun 25 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.8-2mdk
- (Re-?)add a Provides, so that not both sylpheed and -claws can
  be installed; they Conflict:
- Also add a Conflicts: sylpheed-claws

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8

* Mon Jun 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.7-1mdk
- new release

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-1mdk
- 0.7.6

* Mon Apr 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.5-1mdk
- new release
- remove useless prefix
- ${VAR} is often what on intend
- use %%lang on %_datadir/%name/manual/??
- add more docs (why put ja and not en one)
- use %%lang(ja) on japanese doc
- don't install standard INSTALL

* Tue Mar 12 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4

* Tue Mar 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Tue Feb 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Jan 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Mon Dec 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- 0.6.6

* Mon Dec 03 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.6.5-2mdk
- Rebuild (only the SRPM was there).
- Update require (gtk => 1.2.10).

* Wed Nov 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- 0.6.5

* Mon Oct 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4

* Wed Oct 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Mon Sep 03 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.6.1-1mdk
- updated to 0.6.1

* Fri Aug 30 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.6.0-1mdk
- upgraded to 0.6.0 (SSL support is added)

* Tue Aug 21 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.5.3-1mdk
- updated to 0.5.3

* Thu Jul 24 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1, icons added.

* Fri Jul  6 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0 final

* Wed Jun 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0pre2-1mdk
- updated by James Segarra <jim@segarra.org>

* Mon Jun 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.66-1mdk
- updated to 0.4.66 by James Segarra <jim@segarra.org>

* Thu May 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.65-1mdk
- updated to 0.4.65

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.64-1mdk
- updated to 0.4.64

* Tue Apr 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.63-1mdk
- updated to 0.4.63

* Mon Mar 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.62-1mdk
- updated to 0.4.62

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.61-1mdk
- updated to 0.4.61

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.60-1mdk
- updated to 0.4.60

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.51-1mdk 
- devel version 0.4.51

* Mon Dec 18 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9
- updated locales

* Sat Dec 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- updated to 0.4.7

* Thu Nov 23 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- updated to 0.4.5

* Tue Nov 7 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-2mdk
- remove useless changelog

* Tue Nov 7 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-1mdk
- new in contribs
